from jinja2 import pass_eval_context
from markdown import Markdown

from .bleach import bleach

md = Markdown(
    extensions=(
        "extra",
        "sane_lists",
        "smarty",
        "toc",
    )
)


@pass_eval_context
def markdown(ctx, source):
    return bleach(ctx, md.reset().convert(source))
